<?php
class silverbow_like_post {

	 function __construct(){

        add_action('wp_enqueue_scripts', array($this, 'enqueue_scripts'));
        add_action('wp_ajax_silverbow-like-post', array($this, 'ajax'));
		add_action('wp_ajax_nopriv_silverbow-like-post', array($this, 'ajax'));
	}

	function enqueue_scripts() {

		wp_enqueue_script( 'silverbow-like-post', get_template_directory_uri() . '/inc/like/js/silverbow-like-post.js', array('jquery'), false, true);
		wp_localize_script( 'silverbow-like-post', 'ZTLike', array(
			'ajaxurl' => esc_url(admin_url('admin-ajax.php'))
		));
	}

	function ajax($post_id) {
		//update
		if( isset($_POST['likes_id']) ) {
			$post_id = str_replace('silverbow-like-post-', '', $_POST['likes_id']);
			echo balancetags($this->like_post($post_id, 'update'));
		}
		//get
		else {
			$post_id = str_replace('silverbow-like-post-', '', $_POST['likes_id']);
			echo balancetags($this->like_post($post_id, 'get'));
		}
		exit;
	}

	function like_post($post_id, $action = 'get'){
		if(!is_numeric($post_id)) return;
		switch($action) {
			case 'get':
				$love_count = get_post_meta($post_id, '_silverbow_like_post', true);
				if( !$love_count ){
					$love_count = 0;
					add_post_meta($post_id, '_silverbow_like_post', $love_count, true);
				}
				return '<span class="silverbow-like-post-count">'. $love_count .'</span>';
				break;

			case 'update':
				$love_count = get_post_meta($post_id, '_silverbow_like_post', true);
				if( isset($_COOKIE['silverbow_like_post_'. $post_id]) ) return $love_count;

				$love_count++;
				update_post_meta($post_id, '_silverbow_like_post', $love_count);
				setcookie('silverbow_like_post_'. $post_id, $post_id, time()*20, '/');

				return '<span class="silverbow-like-post-count">'. $love_count .'</span>';
				break;
		}
	}

	function add_love() {
		global $post;
		$output = $this->like_post($post->ID);
  		$class = 'silverbow-like-post';
  		$title = esc_html__('Like this', 'silverbow');
		if( isset($_COOKIE['silverbow_like_post_'. $post->ID]) ){
			$class = 'silverbow-like-post liked';
			$title = esc_html__('You already liked this!', 'silverbow');
		}
		return '<span class="themeit-love"><a href="javascript:void(0)" class="'. $class .'" id="silverbow-like-post-'. $post->ID .'" title="'. esc_attr($title) .'"><i class="fa fa-heart-o"></i> '.$output.'</a></span>';
	}
}

global $silverbow_like_post;
$silverbow_like_post = new silverbow_like_post();